apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend
  namespace: tasteby
spec:
  replicas: 1
  selector:
    matchLabels:
      app: frontend
  template:
    metadata:
      labels:
        app: frontend
    spec:
      imagePullSecrets:
        - name: ocir-secret
      containers:
        - name: frontend
          image: icn.ocir.io/idyhsdamac8c/tasteby/frontend:latest
          ports:
            - containerPort: 3001
          resources:
            requests:
              cpu: 200m
              memory: 256Mi
            limits:
              cpu: 500m
              memory: 512Mi
          readinessProbe:
            httpGet:
              path: /
              port: 3001
            initialDelaySeconds: 10
            periodSeconds: 10
          livenessProbe:
            httpGet:
              path: /
              port: 3001
            initialDelaySeconds: 15
            periodSeconds: 30
---
apiVersion: v1
kind: Service
metadata:
  name: frontend
  namespace: tasteby
spec:
  selector:
    app: frontend
  ports:
    - port: 3001
      targetPort: 3001
